Subject: b20.1: problems with xmkmf and xfs
From: [email-masked] (Paul Poffenberger)

12 Dec 1998 01:05:27 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

I'm having some problems with xmkmf under b20.1.  When b20.0 was 
released, I built the X11R6.4 libraries using the instructions
and patch given by Sergey.  With those libraries, I was able
to build fvwm, aXe, and several other X11 applications.  All
of these used xmkmf to make the Makefiles.  However, now that
I have installed b20.1, xmkmf fails with the following message:

bash:{pof} xmkmf
mv -f Makefile Makefile.bak
imake -DUseInstalled -I/usr/X11R6.4/lib/X11/config
In file included from Imakefile.c:4:
\usr\X11R6.4\lib\X11\config\Imake.tmpl:1169: ##X11##.rules: No such file or directory
In file included from Imakefile.c:4:
\usr\X11R6.4\lib\X11\config\Imake.tmpl:1182: ##X11##.tmpl: No such file or directory
imake: Exit code 1.
  Stop.
bash:{pof}

It appears that something's not being parsed correctly, but
I don't know what.  I also can't be certain whether this problem 
is due to my installation of b20.1, or perhaps I've messed up 
something else around the same time I installed b20.1.

An unrelated problem I have (I also had this problem with b19) is
with xfs.  It fails with the following message:

bash:{pof} xfs
xfs error: Fatal font server error:
xfs error: Element #0 (starting at 0) of font path is bad or has a bad font:
"/winnt/fonts/corel/"
bash:{pof} 

The fonts in /winnt/fonts/corel/ are all ttf fonts.  I've tried a number 
of different fonts, but always get the same failure.  As an alternative,
I also tried building xfstt.  That package builds and runs, but all of
the font characters it serves up look like garbage.

If any kind soul can provide some advice on how to get xmkmf and xfs 
working, it would be much appreciated.

I'm running Windows NT4.0/SP3 with a pentium cpu.  My X server is 
StarNet's XWin-32.  All of my mounts are binary.

Best Regards, Paul

-----------------------------------------------------------
   Paul Poffenberger          phone (250) 721 7741
   Dept of Physics            fax   (250) 721 7752   
   University of Victoria     email [email-masked]
-----------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".